---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "authentik_service_connection_docker Resource - terraform-provider-authentik"
subcategory: ""
description: |-
  
---

# authentik_service_connection_docker (Resource)



## Example Usage

```terraform
# Create a local docker connection

resource "authentik_service_connection_docker" "local" {
  name  = "local"
  local = true
}

# Create a remote docker connection

resource "authentik_certificate_key_pair" "tls-auth" {
  name             = "docker-tls-auth"
  certificate_data = "..."
  key_data         = "..."
}

resource "authentik_certificate_key_pair" "tls-verification" {
  name             = "docker-tls-verification"
  certificate_data = "..."
}

resource "authentik_service_connection_docker" "remote-host" {
  name               = "remote-host"
  url                = "http://1.2.3.4:2368"
  tls_verification   = authentik_certificate_key_pair.tls-auth.id
  tls_authentication = authentik_certificate_key_pair.tls-verification.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String)

### Optional

- **id** (String) The ID of this resource.
- **local** (Boolean) Defaults to `false`.
- **tls_authentication** (String)
- **tls_verification** (String)
- **url** (String) Defaults to `http+unix:///var/run/docker.sock`.


